<div class="main">
  <a href="https://gitlab.com/crystal-linux/misc/iso/-/releases/permalink/latest">
    <div class="buttondiv" role="button" tabindex="0">
      <p>
	Download
      </p>
    </div>
  </a>
</div>

<style lang="scss">
  @use "sass:color";
  @use "sass:meta";

  a {
    text-decoration: none;
  }

  .main {
    display: flex;
    align-items: center;
    justify-content: center;
    max-height: 1.5em;
  }

  .buttondiv {
    background-color: #BFAFF2;
    user-select: none;
    padding: 6px 13px;
    border-radius: 9999px;

    cursor: pointer;
    color: black;
    background-color: color.adjust(#BFAFF2, $alpha: -0.1);
    min-width: 70px;
    max-width: 70vw;
    border-radius: 10px;
    align-items: center;
    justify-content: center;
    box-shadow: 0 1px 4px 1px color.change(black, $alpha: 0.10),
		0 1px 10px 5px color.change(black, $alpha: 0.09),
		0 3px 16px 8px color.change(black, $alpha: 0.04),
		0 0 0 1px color.change(black, $alpha: 0.05);
    transition: box-shadow 0.3s ease-in-out;

    &:hover {
      box-shadow: 0 1px 4px 1px color.change(#BFAFF2, $alpha: 0.10),
		  0 1px 10px 5px color.change(#BFAFF2, $alpha: 0.09),
		  0 3px 16px 8px color.change(#BFAFF2, $alpha: 0.04),
		  0 0 0 1px color.change(#BFAFF2, $alpha: 0.05);
    }

    & p {
      user-select: none;
      line-height: 0;
    }

  }
</style>
